<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.4.1/dist/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
</head>
<body>
<div class="container mt-3">
    <form action="#" th:action="@{/search}" class="needs-validation">
        <div class="form-group row m-b">
            <div class="input-group col-md">
                <input name="name" type="text" placeholder="Search..." th:value="${name}" class="form-control input-sm w-auto inline m-r" th:required="required" />
                <div class="input-group-append">
                    <button type="submit" class="btn btn-primary btn-md">Search</button>
                </div>
            </div>
        </div>
    </form>
</div>

<div class="container">
    <div class="row justify-content-md-center">
        <div class="col-md">
            <table class="table table-striped">
                <thead>
                <tr>
                    <th>Tracks</th>
                </tr>
                </thead>
                <tbody>
                <tr th:each="track: ${Tracks}">
                    <td th:text="${track.getName()}"></td>
                </tr>
                </tbody>
            </table>
        </div>
        <div class="col-md">
            <table class="table table-striped">
                <thead>
                <tr>
                    <th>Artists</th>
                </tr>
                </thead>
                <tbody>
                <tr th:each="artist: ${Artists}">
                    <td th:text="${artist.getName()}"></td>
                </tr>
                </tbody>
            </table>
        </div>
        <div class="col-md">
            <table class="table table-striped">
                <thead>
                <tr>
                    <th>Genres</th>
                </tr>
                </thead>
                <tbody>
                <tr th:each="genre: ${Genres}">
                    <td th:text="${genre.getName()}"></td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.4.1/dist/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
</body>
</html>